path = "data/"
model_path = "model/"
expand_path = "expand_data/"
log_path = "log/"
data_path = {"news20":"news20.binary.train","real-sim":"real-sim.train","a9a":"a9a","ijcnn":"ijcnn1","mnist":"mnist.38","covtype":"covtype.train","webspam":"webspam.train"}
test_path = {"news20":"news20.binary.test","real-sim":"real-sim.test","a9a":"a9a.t","news20":"news20.binary.test","ijcnn":"ijcnn1.t","mnist":"mnist.t.38","covtype":"covtype.test","webspam":"webspam.test"}
output_name = {"news20":"\\news20","astro":"\\astro","real-sim":"\\real","a9a":"\\a9a","ijcnn":"\\ijcnn","mnist":"\\mnistTwo","covtype":"\\covtype","webspam":"\\webspam"}
best_lin_c = {"real-sim":1,"ijcnn":32,"mnist":0.03125,"covtype":0.0625,"webspam":32,"a9a":32,"news20":2}
best_quad_c ={"real-sim":0.03125,"ijcnn":0.125,"mnist":2,"covtype":2,"webspam":8,"a9a":8}
best_quad_g = {"real-sim":8,"ijcnn":32,"mnist":0.3125,"covtype":8,"webspam":8,"a9a":0.03125}
best_rbf_c = {"real-sim":8,"ijcnn":32,"mnist":2,"covtype":32,"webspam":8,"a9a":8,"news20":32}
best_rbf_g = {"real-sim":0.5,"ijcnn":2,"mnist":0.03125,"covtype":32,"webspam":32,"a9a":0.03125,"news20":0.125}
best_l1_lin_c = {"real-sim":2,"ijcnn":8,"mnist":0.5,"covtype":-1,"webspam":-1,"a9a":0.25,"news20":-1}
best_l1_quad_c ={"real-sim":32,"ijcnn":32,"mnist":0.5,"covtype":-1,"webspam":-1,"a9a":0.5}
best_l1_quad_g = {"real-sim":32,"ijcnn":0.5,"mnist":0.125,"covtype":-1,"webspam":-1,"a9a":0.125}

linear_train_exe = "liblinear/train"
linear_predict_exe = "liblinear/predict"
poly2_train_exe = "liblinear/train-poly2"
poly2_predict_exe = "liblinear/predict-poly2"
libsvm_train_exe = "libsvm/svm-train"
libsvm_predict_exe = "libsvm/svm-predict"
expand_exe = "tools/expand"
count_exe = "tools/count"

data = ['a9a','real-sim','ijcnn','mnist','covtype','webspam']
